Install eventmachine on Debian Lenny

Hi,

I can't install eventmachine on Debian Lenny. ruby-dev and build-essential are installed. Where's the problem?

My (awful) logs:

Do you have libc6-dev installed?

Jeffrey

Quoting Juan José Vidal <juanjova@um.es>:

Hi,

I can't install eventmachine on Debian Lenny. ruby-dev and build-essential are installed. Where's the problem?

[snip]

-DHAVE_RB_TIME_NEW -DOS_UNIX -DWITHOUT_SSL -I/include/include -fPIC -fno-strict-aliasing -g -g -O2 -fPIC -c files.cpp In file included from /usr/include/c ++/4.3/x86_64-linux-gnu/bits/os_defines.h:44,                  from /usr/include/c++/4.3/x86_64-linux-gnu/bits/c ++config.h:40,                  from /usr/include/c++/4.3/iostream:44,                  from project.h:29,                  from files.cpp:20: /usr/include/features.h:330:25: error: sys/cdefs.h: No existe el fichero o el directorio

[snip]

Yes

# dpkg -l | grep libc6

ii libc6 2.7-18lenny2 GNU C Library: Shared libraries ii libc6-dev 2.7-18lenny2 GNU C Library: Development Libraries and Hea ii libc6-i386 2.7-18lenny2 GNU C Library: 32bit shared libraries for AM

Odd,   What about

ls /usr/include/sys

or if you have the find-utils

locate cdefs.h

Jeffrey

Quoting Juan Jos?é Vidal Agust?ín <juanjova@um.es>: